<template>
    <v-app dark>
        <v-navigation-drawer
            v-model="drawer"
            :mini-variant="miniVariant"
            :clipped="clipped"
            fixed
            app
        >
            <v-list>
                <v-subheader>Menu</v-subheader>
                <v-list-item v-for="(item, i) in items"
                             :key="i"
                             :to="item.to"
                             router
                             exact>

                    <v-list-item-action>
                        <v-icon>{{ item.icon }}</v-icon>
                    </v-list-item-action>
                    <v-list-item-content>
                        <v-list-item-title v-text="item.title" />
                    </v-list-item-content>
                    <v-btn v-if="item.zobrazitNovy" :to="'/novy/'+item.novy">
                        <v-icon>mdi-plus</v-icon>
                    </v-btn>
                </v-list-item>
            </v-list>
        </v-navigation-drawer>
        <v-app-bar
            :clipped-left="clipped"
            fixed
            app
        >
            <v-app-bar-nav-icon @click.stop="drawer = !drawer"/>
            <v-toolbar-title v-text="title" />
        </v-app-bar>
        <v-main>
            <v-container>
                <Nuxt/>
            </v-container>
        </v-main>
        <v-footer
            :absolute="!fixed"
            app
        >
            <span>&copy; {{ new Date().getFullYear() }}</span>
        </v-footer>
    </v-app>
</template>

<script>
export default {
    data() {
        return {
            title: 'Lékařský rezervační systém',
            clipped: true,
            drawer: true,
            fixed: false,
            items: [
                {
                    icon: 'mdi-calendar-account',
                    title: 'Přehled',
                    to: '/',
                    zobrazitNovy: false
                },
                {
                    icon: 'mdi-account-multiple',
                    title: 'Pacienti',
                    to: '/pacienti',
                    novy: 'pacient',
                    zobrazitNovy: true
                },
                {
                    icon: 'mdi-bottle-tonic-plus',
                    title: 'Prohlídky',
                    to: '/prohlidky',
                    novy: 'prohlidka',
                    zobrazitNovy: true
                },
                {
                    icon: 'mdi-archive-clock',
                    title: 'Rezervace',
                    to: '/rezervace',
                    novy: 'rezervace',
                    zobrazitNovy: true
                }
            ],
            miniVariant: false,
            right: true,
            rightDrawer: false
        }
    }
}
</script>
